# std::_BinBase< _Oper, _FirstArg, _SecondArg > Class Template Reference

Inheritance diagram for std::_BinBase< _Oper, _FirstArg, _SecondArg >:

List of all members.

## Detailed Description

### template<class _Oper, class _FirstArg, class _SecondArg>
class std::_BinBase< _Oper, _FirstArg, _SecondArg >

Definition at line 517 of file valarray_before.h.

## Public Types

- typedef _FirstArg::value_type _Vt
- typedef __fun< _Oper, _Vt
  >::result_type value_type

## Public Member Functions

- _BinBase (const _FirstArg &__e1, const _SecondArg &__e2)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this class was generated from the following file:

- valarray_before.h